"use strict";
cc._RF.push(module, '280c3rsZJJKnZ9RqbALVwtK', 'HelloWorld');
// Script/HelloWorld.js

'use strict';

cc.Class({
    extends: cc.Component,

    properties: {
        label: {
            default: null,
            type: cc.Label
        },
        sp: {
            default: null,
            type: cc.Sprite
        },

        text: 'Hello, World!'
    },

    // use this for initialization
    onLoad: function onLoad() {

        this.label.string = this.text;
        //画布，响应事件
        this.toolStatus = 1;
        this.line = 0;
        this.circle = 1;
        this.rect = 2;
        this.type = this.line;
        this._lineWidth = 10;
        this.color = cc.Color.YELLOW;
        this.eraser = true;
    },

    // called every frame
    update: function update(dt) {},

    onBlue: function onBlue() {
        var that = this;
        var colorSpr = that.node.getChildByName('colorS').getComponent(cc.Sprite);
        colorSpr.spriteFrame = new cc.SpriteFrame(cc.url.raw('resources/icon/color3.png'));
    },
    onRed: function onRed() {
        var that = this;
        var colorSpr = that.node.getChildByName('colorS').getComponent(cc.Sprite);
        colorSpr.spriteFrame = new cc.SpriteFrame(cc.url.raw('resources/icon/color1.png'));
    },
    onBlack: function onBlack() {
        var that = this;
        var colorSpr = that.node.getChildByName('colorS').getComponent(cc.Sprite);
        colorSpr.spriteFrame = new cc.SpriteFrame(cc.url.raw('resources/icon/color5.png'));
    },
    onYellow: function onYellow() {
        var that = this;
        var colorSpr = that.node.getChildByName('colorS').getComponent(cc.Sprite);
        colorSpr.spriteFrame = new cc.SpriteFrame(cc.url.raw('resources/icon/color4.png'));
    },
    onGray: function onGray() {
        var that = this;
        var colorSpr = that.node.getChildByName('colorS').getComponent(cc.Sprite);
        colorSpr.spriteFrame = new cc.SpriteFrame(cc.url.raw('resources/icon/color6.png'));
    },
    onGreen: function onGreen() {
        var that = this;
        var colorSpr = that.node.getChildByName('colorS').getComponent(cc.Sprite);
        colorSpr.spriteFrame = new cc.SpriteFrame(cc.url.raw('resources/icon/color2.png'));
    },
    onToumingse: function onToumingse() {
        var that = this;
        var sprite = that.node.getChildByName('type').getComponent(cc.Sprite);
        sprite.spriteFrame = new cc.SpriteFrame(cc.url.raw('resources/icon/eraser.png'));
    },
    onCircle: function onCircle() {
        //点击圆圈按钮 动态变更 左上角两图片
        var that = this;
        var sprite = that.node.getChildByName('type').getComponent(cc.Sprite);
        sprite.spriteFrame = new cc.SpriteFrame(cc.url.raw('resources/icon/circle.png'));
    },
    onRect: function onRect() {
        var that = this;
        var sprite = that.node.getChildByName('type').getComponent(cc.Sprite);
        sprite.spriteFrame = new cc.SpriteFrame(cc.url.raw('resources/icon/favicon.png'));
    },
    onLine: function onLine() {
        var that = this;
        var sprite = that.node.getChildByName('type').getComponent(cc.Sprite);
        sprite.spriteFrame = new cc.SpriteFrame(cc.url.raw('resources/icon/line.png'));
    }
});

cc._RF.pop();